slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetDS

Associates a direct solver object to the eigensolver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetDS(EPS eps,DS ds)

Collective

### Input Parameters

| eps | - eigensolver context obtained from EPSCreate()
| ds | - the direct solver object

### Note

Use EPSGetDS() to retrieve the direct solver context (for example, to free it at the end of the computations).

### See Also

EPSGetDS()

### Level

advanced

### Location

src/eps/interface/epsbasic.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages